<Keyboard xmlns:android="http://schemas.android.com/apk/res/android"
    android:horizontalGap="0dip"
    android:keyWidth="10%p"
    android:keyHeight="17.5%p"
    android:verticalGap="0dip">

    <Row>
        <Key android:codes="49" android:keyLabel="1" android:keyEdgeFlags="left"/>
        <Key android:codes="50" android:keyLabel="2"/>
        <Key android:codes="51" android:keyLabel="3"/>
        <Key android:codes="52" android:keyLabel="4"/>
        <Key android:codes="53" android:keyLabel="5"/>
        <Key android:codes="54" android:keyLabel="6"/>
        <Key android:codes="55" android:keyLabel="7"/>
        <Key android:codes="56" android:keyLabel="8"/>
        <Key android:codes="57" android:keyLabel="9"/>
        <Key android:codes="48" android:keyLabel="0" android:keyEdgeFlags="right"/>
    </Row>

    <Row>
        <Key android:codes="64" android:keyLabel="\@" android:keyEdgeFlags="left"/>
        <Key android:codes="94" android:keyLabel="^"/>
        <Key android:codes="165" android:keyLabel="￥"/>
        <Key android:codes="36" android:keyLabel="$"/>
        <Key android:codes="91" android:keyLabel="["/>
        <Key android:codes="93" android:keyLabel="]" />
        <Key android:codes="95" android:keyLabel="_"/>
        <Key android:codes="61" android:keyLabel="="/>
        <Key android:codes="123" android:keyLabel="{"/>
        <Key android:codes="125" android:keyLabel="}" android:keyEdgeFlags="right"/>
    </Row>

    <Row android:rowEdgeFlags="bottom">
        <Key android:codes="-1"
            android:keyIcon="@drawable/ic_keyboard_switch_number"
            android:keyWidth="30%p" android:isModifier="true"
            android:isSticky="true" android:keyEdgeFlags="left"/>
        <Key android:codes="126" android:keyLabel="~"/>
        <Key android:codes="96" android:keyLabel="`"/>
        <Key android:codes="60" android:keyLabel="&lt;"/>
        <Key android:codes="62" android:keyLabel="&gt;"/>
        <Key android:codes="92" android:keyLabel="\\" />
        <Key android:codes="124" android:keyLabel="|" android:keyEdgeFlags="right"/>
    </Row>
    <!--    android:rowEdgeFlags="bottom"-->
    <Row>
        <Key
            android:codes="-114"
            android:keyWidth="25%p"
            android:keyEdgeFlags="left"
            android:keyIcon="@drawable/ic_keyboard_switch_symbols" />
        <Key
            android:codes="32"
            android:keyWidth="50%p"
            android:keyIcon="@drawable/ic_keyboard_space" />
        <Key
            android:codes="-100"
            android:isRepeatable="true"
            android:keyWidth="25%p"
            android:keyEdgeFlags="right"
            android:keyIcon="@drawable/ic_keyboard_del" />
    </Row>
</Keyboard>
